import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:flutter/foundation.dart';
part 'upgrade.freezed.dart';
part 'upgrade.g.dart';

@freezed
class Upgrade with _$Upgrade {
  const factory Upgrade({
    int? upgradeType,
    String? versionName,
    int? versionCode,
    String? appStoreUrl,
    String? websiteUrl,
    List<String>? directUrls,
    String? md5,
    String? info,
    bool? forced,
  }) = _Upgrade;

  factory Upgrade.fromJson(Map<String, Object?> json) =>
      _$UpgradeFromJson(json);
}
